# Replace Background - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-replace-background

# Replace Background

POST

/

v3

/

replace-background

Replace Background

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/replace-background \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"extra": {
"response_image_type": "&#x3C;string>",
"enterprise_plan": {
"enabled": true
}
},
"image_file": "&#x3C;string>"
}
'
```

```
import requestsurl = "https://api.novita.ai/v3/replace-background"payload = { "extra": { "response_image_type": "&#x3C;string>", "enterprise_plan": { "enabled": True } }, "image_file": "&#x3C;string>"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ extra: {response_image_type: '&#x3C;string>', enterprise_plan: {enabled: true}}, image_file: '&#x3C;string>' })};fetch('https://api.novita.ai/v3/replace-background', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v3/replace-background", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'extra' => [ 'response_image_type' => '&#x3C;string>', 'enterprise_plan' => [ 'enabled' => true ] ], 'image_file' => '&#x3C;string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v3/replace-background"	payload := strings.NewReader("{\n \"extra\": {\n \"response_image_type\": \"&#x3C;string>\",\n \"enterprise_plan\": {\n \"enabled\": true\n }\n },\n \"image_file\": \"&#x3C;string>\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/v3/replace-background") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"extra\": {\n \"response_image_type\": \"&#x3C;string>\",\n \"enterprise_plan\": {\n \"enabled\": true\n }\n },\n \"image_file\": \"&#x3C;string>\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v3/replace-background")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"extra\": {\n \"response_image_type\": \"&#x3C;string>\",\n \"enterprise_plan\": {\n \"enabled\": true\n }\n },\n \"image_file\": \"&#x3C;string>\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"image_file": "&#x3C;string>",
"image_type": "&#x3C;string>"
}
```

Replace the background of images according to your prompt.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-extra)

extra

object

Optional extra parameters for the request.

Show properties

[​](#param-response-image-type)

response_image_type

string

The returned image type. Default is png.Enum: `png, webp, jpeg`

[​](#param-enterprise-plan)

enterprise_plan

object

Dedicated Endpoints settings, which only take effect for users who have already subscribed to the [Dedicated Endpoints Documentation](/docs/guides/model-apis-dedicated-endpoints).

Show properties

[​](#param-enabled)

enabled

boolean

Set to true to schedule this task to use your Dedicated Endpoints’s dedicated resources. Default is false.

[​](#param-image-file)

image_file

string

required

The base64 of original image, with a maximum resolution of 2048 x 2048 and a maximum file size of 30 Mb (width <= 4096, height <= 4096).

##

[​](#response)

Response

[​](#param-image-file-1)

image_file

string

The Base64-encoded content of the returned image.

[​](#param-image-type)

image_type

string

The returned image type.

Enum: `png`, `webp`, `jpeg`

##

[​](#example)

Example

This API allows you to replace the background of images according to your prompt.
Try it in [playground](https://novita.ai/playground#replace-background).
`Request:`

```
curl --location --request POST 'https://api.novita.ai/v3/replace-background' \
--header 'Authorization: Bearer {{API Key}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"prompt":"in a warehouse",
"image_file":"{{Base64 encoded image}}"
}'
```

HTTP status codes in the 2xx range indicate that the request has been successfully accepted. A status code of 400 means there is an error with the request parameters, while status codes in the 5xx range indicate internal server errors.
You can obtain the image URL in the `image_file` field of the response in base64 format.
`Response:`

```
{
"image_file": "{{Base64 encoded image}}",
"image_type": "png"
}
```

![](https://next-app-static.s3.ap-southeast-1.amazonaws.com/get-started/UseCase_replace_background01.png)

![](https://next-app-static.s3.ap-southeast-1.amazonaws.com/get-started/UseCase_replace_background02.png)

Last modified on February 19, 2025
